<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.Storyboard.XIB" version="3.0" toolsVersion="15705" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" useSafeAreas="YES" colorMatched="YES" initialViewController="X3y-28-xEw">
    <device id="retina6_1" orientation="portrait" appearance="light"/>
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="15706"/>
        <capability name="Safe area layout guides" minToolsVersion="9.0"/>
        <capability name="collection view cell content view" minToolsVersion="11.0"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <scenes>
        <!--Movies List View Controller-->
        <scene sceneID="yBd-hY-LLD">
            <objects>
                <viewController storyboardIdentifier="MoviesListViewController" useStoryboardIdentifierAsRestorationIdentifier="YES" id="X3y-28-xEw" customClass="MoviesListViewController" customModule="MovieGrid" customModuleProvider="target" sceneMemberID="viewController">
                    <view key="view" contentMode="scaleToFill" id="Ehl-rK-edr">
                        <rect key="frame" x="0.0" y="0.0" width="414" height="896"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                        <subviews>
                            <stackView opaque="NO" contentMode="scaleToFill" axis="vertical" spacing="15" translatesAutoresizingMaskIntoConstraints="NO" id="FAB-Lz-EtT">
                                <rect key="frame" x="0.0" y="44" width="414" height="769"/>
                                <subviews>
                                    <collectionView clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="scaleToFill" dataMode="prototypes" translatesAutoresizingMaskIntoConstraints="NO" id="gPP-X0-yML">
                                        <rect key="frame" x="0.0" y="0.0" width="414" height="769"/>
                                        <color key="backgroundColor" white="0.0" alpha="0.0" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                        <collectionViewFlowLayout key="collectionViewLayout" automaticEstimatedItemSize="YES" minimumLineSpacing="10" minimumInteritemSpacing="10" id="YQA-01-hcE">
                                            <size key="itemSize" width="164" height="251"/>
                                            <size key="headerReferenceSize" width="0.0" height="0.0"/>
                                            <size key="footerReferenceSize" width="0.0" height="0.0"/>
                                            <inset key="sectionInset" minX="0.0" minY="0.0" maxX="0.0" maxY="0.0"/>
                                        </collectionViewFlowLayout>
                                        <cells>
                                            <collectionViewCell opaque="NO" clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="center" reuseIdentifier="MoviesListCollectionViewCell" id="LIw-fT-zUr" customClass="MoviesListCollectionViewCell" customModule="MovieGrid" customModuleProvider="target">
                                                <rect key="frame" x="0.0" y="0.0" width="164" height="251"/>
                                                <autoresizingMask key="autoresizingMask" flexibleMaxX="YES" flexibleMaxY="YES"/>
                                                <collectionViewCellContentView key="contentView" opaque="NO" clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="center" insetsLayoutMarginsFromSafeArea="NO" id="ZG3-mN-7S7">
                                                    <rect key="frame" x="0.0" y="0.0" width="164" height="251"/>
                                                    <autoresizingMask key="autoresizingMask"/>
                                                    <subviews>
                                                        <imageView clipsSubviews="YES" userInteractionEnabled="NO" contentMode="scaleAspectFill" horizontalHuggingPriority="251" verticalHuggingPriority="251" image="common-poster-template" translatesAutoresizingMaskIntoConstraints="NO" id="Hd8-4K-pdh">
                                                            <rect key="frame" x="4" y="4" width="156" height="243"/>
                                                            <userDefinedRuntimeAttributes>
                                                                <userDefinedRuntimeAttribute type="number" keyPath="cornerRadius">
                                                                    <real key="value" value="5"/>
                                                                </userDefinedRuntimeAttribute>
                                                            </userDefinedRuntimeAttributes>
                                                        </imageView>
                                                    </subviews>
                                                    <color key="backgroundColor" white="0.0" alpha="0.0" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                                    <constraints>
                                                        <constraint firstItem="Hd8-4K-pdh" firstAttribute="width" secondItem="ZG3-mN-7S7" secondAttribute="width" multiplier="0.95122" id="1iE-z1-Af8"/>
                                                        <constraint firstItem="Hd8-4K-pdh" firstAttribute="centerY" secondItem="ZG3-mN-7S7" secondAttribute="centerY" id="9mz-2I-6jJ"/>
                                                        <constraint firstItem="Hd8-4K-pdh" firstAttribute="centerX" secondItem="ZG3-mN-7S7" secondAttribute="centerX" id="evV-4c-IOq"/>
                                                        <constraint firstItem="Hd8-4K-pdh" firstAttribute="height" secondItem="ZG3-mN-7S7" secondAttribute="height" multiplier="0.968127" id="obO-HF-pja"/>
                                                    </constraints>
                                                </collectionViewCellContentView>
                                                <color key="backgroundColor" white="0.0" alpha="0.0" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                                <size key="customSize" width="164" height="251"/>
                                                <connections>
                                                    <outlet property="posterImageView" destination="Hd8-4K-pdh" id="bs9-ow-Cb9"/>
                                                </connections>
                                            </collectionViewCell>
                                        </cells>
                                        <connections>
                                            <outlet property="delegate" destination="X3y-28-xEw" id="bQw-US-DkT"/>
                                        </connections>
                                    </collectionView>
                                </subviews>
                                <color key="backgroundColor" red="0.67843137249999996" green="0.68627450980000004" blue="0.73333333329999995" alpha="0.84705882349999995" colorSpace="calibratedRGB"/>
                            </stackView>
                        </subviews>
                        <color key="backgroundColor" systemColor="systemBackgroundColor" cocoaTouchSystemColor="whiteColor"/>
                        <constraints>
                            <constraint firstItem="Ee5-nz-3b2" firstAttribute="trailing" secondItem="FAB-Lz-EtT" secondAttribute="trailing" id="3KK-nV-zjC"/>
                            <constraint firstItem="FAB-Lz-EtT" firstAttribute="leading" secondItem="Ee5-nz-3b2" secondAttribute="leading" id="LDV-Ou-LfS"/>
                            <constraint firstItem="FAB-Lz-EtT" firstAttribute="top" secondItem="Ee5-nz-3b2" secondAttribute="top" id="QTd-nd-PDb"/>
                            <constraint firstItem="Ee5-nz-3b2" firstAttribute="bottom" secondItem="FAB-Lz-EtT" secondAttribute="bottom" id="ppf-RA-ag3"/>
                        </constraints>
                        <viewLayoutGuide key="safeArea" id="Ee5-nz-3b2"/>
                    </view>
                    <toolbarItems/>
                    <simulatedToolbarMetrics key="simulatedBottomBarMetrics"/>
                    <connections>
                        <outlet property="collectionView" destination="gPP-X0-yML" id="A9b-yj-3X2"/>
                    </connections>
                </viewController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="Qm0-f2-GEg" userLabel="First Responder" customClass="UIResponder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="137.68115942028987" y="137.94642857142856"/>
        </scene>
    </scenes>
    <resources>
        <image name="common-poster-template" width="342" height="513"/>
    </resources>
</document>
